Subject: [MOBILE-IP] nai draft

From: Roberts Phil-QA3445 <[email-masked]>
Date: Fri, 12 Nov 1999 10:41:44 -0600

I talked to Dave O yesterday about a request for reclassification of the NAI
draft to proposed std.  He said just let him know and he'd bring it back to
the IESG.  He also wanted to know what our response was to the AAA issue.  I
thought I'd put this on the list before, but can't find it, so my apologies
for holding things up.  Here's what the initial reasoning from the IESG was
on using experimental rather than proposed:

At any rate, the logic behind experimental was that pending the
architectural designs of the AAA protocols being done by the AAA WG, it may
turn out that a better approach for NAI in mobile IP would be a non-opaque
token that could be used or otherwise operated on by a home/foreign agent,
rather than a pure opaque token that can only be useful to the AAA server.
For that reason it seemed prudent to not prejudge the technical tradeoffs by
putting NAI straight on the track to draft standard. It can always be moved
from experimental to proposed/draft once there is high confidence that we
won't change direction.

I'd like to hear some response from the working group to this before I
compose a request for reclassification.  My thinking is that the nai is
somewhat orthogonal to the objection raised above.

Comments?

Phil

---

From: Pete McCann <[email-masked]>
Date: Fri, 12 Nov 1999 17:57:46 -0600

They are complaining that the NAI is "too opaque"?  It seems to be a
useful piece of information on its face.  Perhaps you meant it the
other way around, and they are suggesting that the NAI be made more
"opaque" to satisfy some kind of user privacy constraint.

Is the caution about the eventual AAA outcome really warranted?  If
it turns out that a radically new AAA solution is developed that
uses something other than NAIs, then it won't be useful for the
large embedded base of PPP dial-up applications.  I also suspect
that CDMA vendors and carriers would ignore such a AAA protocol.

I suggest we go ahead with the request for Proposed Standard.

-Pete

Roberts Phil-QA3445 <[email-masked]> (RP) writes:

RP> I talked to Dave O yesterday about a request for reclassification
RP> of the NAI draft to proposed std.  He said just let him know and
RP> he'd bring it back to the IESG.  He also wanted to know what our
RP> response was to the AAA issue.  I thought I'd put this on the list
RP> before, but can't find it, so my apologies for holding things up.
RP> Here's what the initial reasoning from the IESG was on using
RP> experimental rather than proposed:

RP> At any rate, the logic behind experimental was that pending the
RP> architectural designs of the AAA protocols being done by the AAA
RP> WG, it may turn out that a better approach for NAI in mobile IP
RP> would be a non-opaque token that could be used or otherwise
RP> operated on by a home/foreign agent, rather than a pure opaque
RP> token that can only be useful to the AAA server.  For that reason
RP> it seemed prudent to not prejudge the technical tradeoffs by
RP> putting NAI straight on the track to draft standard. It can always
RP> be moved from experimental to proposed/draft once there is high
RP> confidence that we won't change direction.

RP> I'd like to hear some response from the working group to this
RP> before I compose a request for reclassification.  My thinking is
RP> that the nai is somewhat orthogonal to the objection raised above.

RP> Comments?

RP> Phil

---

From: Bernard Aboba <[email-masked]>
Date: Sun, 14 Nov 1999 22:54:51 -0800

The AAA WG is a supplier of technology to the Mobile IP WG.
Rather than dictating the form of the Mobile IP architecture,
our job is to support the Mobile IP WG in implementing
whatever architecture it feels is best. All we ask of the
Mobile IP WG is to provide us with a set of AAA requirements,
that represent Mobile IP WG consensus.

Thus, the decision on whether to use an opaque token, a
non-opaque token or anything else, is entirely up to the
Mobile IP WG.

Given this, it seems quite unlikely that any developments in
the AAA WG will influence the direction of Mobile IP WG.
Rather, the dependency goes the other way -- our work is
dependent on receiving a set of requirements from Mobile IP
WG.